=== debian/changelog ===
openvlbi (0.0~git20211207.ae3a06a-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: all patches applied upstream
  * debian/control: update dependencies

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 07 Dec 2021 23:17:46 +0100

openvlbi (0.0~git20211120.952ea88-3) unstable; urgency=medium

  * do not use sys/io.h

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Dec 2021 14:35:11 +0100

openvlbi (0.0~git20211120.952ea88-2) unstable; urgency=medium

  * source upload
  * debian/control: move package to debian-astro team

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 04 Dec 2021 13:35:11 +0100

openvlbi (0.0~git20211120.952ea88-1) unstable; urgency=medium

  * initial upload

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 30 Nov 2021 19:35:11 +0200
