=== debian/control ===
Source: openvlbi
Section: misc
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake (>= 2.4.7)
	, libindi-dev (>= 1.8.8)
	, zlib1g-dev
	, libfftw3-dev
	, libnova-dev
	, libcfitsio-dev
	, libpng-dev
	, libjpeg-dev
Standards-Version: 4.6.0
Homepage: http://iliaplatone.github.io/OpenVLBI/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
Vcs-Git: https://salsa.debian.org/debian-astro-team/openvlbi.git

Package: libopenvlbi1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: OpenVLBI Correlator library
 OpenVLBI is an open source library for astronomical interferometers.
 with OpenVLBI astronomers can join together more telescopes to observe
 celestial objects at great resolution.
 OpenVLBI can be used with radio antennas or optical sensors.
 A test and multi-contextual client/server applications are included into
 openvlbi-bin, and libopenvlbi contains the correlator library.
 An INDI client is included into openvlbi-bin which connects to one or more
 INDI servers that observe in realtime.
 .
 This package contains the library.

Package: libopenvlbi1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: OpenVLBI Correlator library - development files
 OpenVLBI is an open source library for astronomical interferometers.
 with OpenVLBI astronomers can join together more telescopes to observe
 celestial objects at great resolution.
 OpenVLBI can be used with radio antennas or optical sensors.
 A test and multi-contextual client/server applications are included into
 openvlbi-bin, and libopenvlbi contains the correlator library.
 An INDI client is included into openvlbi-bin which connects to one or more
 INDI servers that observe in realtime.
 .
 This package contains the development files.

Package: openvlbi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, libopenvlbi1 (= ${binary:Version})
Description: OpenVLBI Correlator library - client applications
 OpenVLBI is an open source library for astronomical interferometers.
 with OpenVLBI astronomers can join together more telescopes to observe
 celestial objects at great resolution.
 OpenVLBI can be used with radio antennas or optical sensors.
 A test and multi-contextual client/server applications are included into
 openvlbi-bin, and libopenvlbi contains the correlator library.
 An INDI client is included into openvlbi-bin which connects to one or more
 INDI servers that observe in realtime.
 .
 This package contains the client application.
