## openvlbi 1.23.0

=== debian/changelog ===
openvlbi (1.23.0-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 21 May 2022 19:21:45 +0200

openvlbi (1.23.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

  [ Thorsten Alteholz ]
  * New upstream release.
  * rework package to better match upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 12 May 2022 23:21:45 +0200

openvlbi (1.22.8-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Mar 2022 22:44:59 +0100

openvlbi (1.22.6-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Mar 2022 23:20:56 +0100

openvlbi (1.22.5-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 06 Feb 2022 00:45:53 +0100

openvlbi (1.22.4-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 04 Feb 2022 00:24:47 +0100

openvlbi (1.22.3-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 17 Dec 2021 08:13:50 +0000

openvlbi (1.22-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: use tags instead of git HEAD now

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 16 Dec 2021 16:22:32 +0000
