=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
-	, cmake (>= 2.4.7)
+	, cmake
+ 	, cmake-data
 	, libindi-dev (>= 1.8.8)
 	, zlib1g-dev
 	, libfftw3-dev
@@ -12,8 +13,9 @@
 	, libcfitsio-dev
 	, libpng-dev
 	, libjpeg-dev
+ 	, doxygen
 Standards-Version: 4.6.0
-Homepage: http://iliaplatone.github.io/OpenVLBI/
+Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
 Vcs-Git: https://salsa.debian.org/debian-astro-team/openvlbi.git
@@ -36,7 +38,7 @@
  .
  This package contains the library.
 
-Package: libopenvlbi1-dev
+Package: libopenvlbi-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -54,6 +56,19 @@
  .
  This package contains the development files.
 
+Package: libopenvlbi-doc
+Section: doc
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenVLBI Correlator - documentation
+ OpenVLBI is an open source correlator for astronomical interferometers.
+ with OpenVLBI astronomers can join together more telescopes to observe
+ celestial objects at great resolution.
+ OpenVLBI can be used with radio antennas or optical sensors.
+ .
+ This package contains documentation.
+
 Package: openvlbi-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -69,3 +84,62 @@
  INDI servers that observe in realtime.
  .
  This package contains the client application.
+
+Package: libopendsp1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenDSP signal processing library
+ OpenDSP is an open source signal processing library.
+ It contains methods and routines for signal processing
+ in imaging and radio astronomy.
+ .
+ This package contains the library.
+
+Package: libopendsp-dev
+Section: libdevel
+Architecture: any
+Depends: libopendsp1 (= ${binary:Version})
+	, ${shlibs:Depends}, ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenDSP signal processing library - development files
+ OpenDSP is an open source signal processing library.
+ It contains methods and routines for signal processing
+ in imaging and radio astronomy.
+ .
+ This package contains the development files.
+
+Package: openvlbi-data
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Description: OpenVLBI correlator - data
+ OpenVLBI is an open source correlator for astronomical interferometers.
+ with OpenVLBI astronomers can join together more telescopes to observe
+ celestial objects at great resolution.
+ OpenVLBI can be used with radio antennas or optical sensors.
+ .
+ This package contains data files.
+
+Package: openvlbi
+Architecture: all
+Depends: openvlbi-bin (>= ${source:Version})
+	, openvlbi-data (>= ${source:Version})
+	, libopendsp1 (>= ${source:Version})
+	, libopendsp-dev (>= ${source:Version})
+	, libopenvlbi1 (>= ${source:Version})
+	, libopenvlbi-dev (>= ${source:Version})
+	, ${shlibs:Depends}, ${misc:Depends}
+Description: correlator for OpenVLBI
+ OpenVLBI is an open source correlator for astronomical interferometers.
+ with OpenVLBI astronomers can join together more telescopes to observe
+ celestial objects at great resolution.
+ OpenVLBI can be used with radio antennas or optical sensors.
+ This package includes test and multi-contextual client/server applications,
+ the development and runtime libraries.
+ .
+ This is a metapackage to install all openvlbi packages.
