=== debian/changelog ===
openvlbi (1.23.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #1015569)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 Aug 2022 01:05:44 +0200

openvlbi (1.23.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: add Break:/Replace: according to upstream
                    Closes: #1011441
                    Closes: #1011442
  * debian/control: bump standard to 4.6.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 May 2022 00:29:48 +0200
