=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	, libpng-dev
 	, libjpeg-dev
  	, doxygen
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
@@ -44,6 +44,8 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1-dev (<< 1.23)
+Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenVLBI Correlator library - development files
  OpenVLBI is an open source library for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -91,6 +93,8 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1 (<< 1.23)
+Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenDSP signal processing library
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -104,6 +108,8 @@
 Depends: libopendsp1 (= ${binary:Version})
 	, ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1-dev (<< 1.23)
+Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenDSP signal processing library - development files
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -117,6 +123,8 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Replaces: libopenvlbi1 (<< 1.23)
+Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenVLBI correlator - data
  OpenVLBI is an open source correlator for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
