## openvlbi 1.23.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 set (VLBI_VERSION_MAJOR 1)
 set (VLBI_VERSION_MINOR 23)
-set (VLBI_VERSION_RELEASE 2)
+set (VLBI_VERSION_RELEASE 5)
 set (VLBI_VERSION_STRING "${VLBI_VERSION_MAJOR}.${VLBI_VERSION_MINOR}.${VLBI_VERSION_RELEASE}")
 set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}")
