=== debian/changelog ===
openvlbi (1.23.5-2) unstable; urgency=medium

  * debian/control: add missing dependencies
                    (Closes: #1035445)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 May 2023 18:20:46 +0200

openvlbi (1.23.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: adapt watch file to avoid v2.23.4

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 Dec 2022 19:28:46 +0100
