=== debian/control ===
--- 
+++ 
@@ -42,7 +42,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}
+	, libopenvlbi1 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Replaces: libopenvlbi1-dev (<< 1.23)
 Breaks: libopenvlbi1-dev (<< 1.23)
