=== debian/changelog ===
openvlbi (3.0.2-3) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Sep 2024 19:14:12 +0200

openvlbi (3.0.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063108

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 13:03:25 +0000

openvlbi (3.0.2-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Sep 2023 10:14:12 +0200

openvlbi (3.0.2-1) experimental; urgency=medium

  * New upstream release.
  * debian/control: new soname for libraries
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: remove Break: and Replace: with very old version
  * debian/copyright: due do mjs.* upstream made things easier and
                      changed the vlbi license to GPL-2

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2023 23:14:12 +0200
