=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 13)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 	, cmake
  	, cmake-data
 	, libindi-dev (>= 1.8.8)
@@ -14,13 +14,16 @@
 	, libpng-dev
 	, libjpeg-dev
  	, doxygen
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
 Vcs-Git: https://salsa.debian.org/debian-astro-team/openvlbi.git
 
-Package: libopenvlbi1
+Package: libopenvlbi3t64
+Provides: ${t64:Provides}
+Replaces: libopenvlbi3
+Breaks: libopenvlbi3 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -43,10 +46,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libopenvlbi1 (= ${binary:Version})
+	, libopenvlbi3t64 (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1-dev (<< 1.23)
-Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenVLBI Correlator library - development files
  OpenVLBI is an open source library for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -75,7 +76,7 @@
 Package: openvlbi-bin
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-	, libopenvlbi1 (= ${binary:Version})
+	, libopenvlbi3t64 (= ${binary:Version})
 Description: OpenVLBI Correlator library - client applications
  OpenVLBI is an open source library for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -88,14 +89,15 @@
  .
  This package contains the client application.
 
-Package: libopendsp1
+Package: libopendsp3t64
+Provides: ${t64:Provides}
+Replaces: libopendsp3
+Breaks: libopendsp3 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1 (<< 1.23)
-Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenDSP signal processing library
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -106,11 +108,9 @@
 Package: libopendsp-dev
 Section: libdevel
 Architecture: any
-Depends: libopendsp1 (= ${binary:Version})
+Depends: libopendsp3t64 (= ${binary:Version})
 	, ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1-dev (<< 1.23)
-Breaks: libopenvlbi1-dev (<< 1.23)
 Description: OpenDSP signal processing library - development files
  OpenDSP is an open source signal processing library.
  It contains methods and routines for signal processing
@@ -124,8 +124,6 @@
 Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Replaces: libopenvlbi1 (<< 1.23)
-Breaks: libopenvlbi1 (<< 1.23)
 Description: OpenVLBI correlator - data
  OpenVLBI is an open source correlator for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -138,9 +136,9 @@
 Architecture: all
 Depends: openvlbi-bin (>= ${source:Version})
 	, openvlbi-data (>= ${source:Version})
-	, libopendsp1 (>= ${source:Version})
+	, libopendsp3t64 (>= ${source:Version})
 	, libopendsp-dev (>= ${source:Version})
-	, libopenvlbi1 (>= ${source:Version})
+	, libopenvlbi3t64 (>= ${source:Version})
 	, libopenvlbi-dev (>= ${source:Version})
 	, ${shlibs:Depends}, ${misc:Depends}
 Description: correlator for OpenVLBI
