=== debian/changelog ===
openvlbi (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: add Multi-Arch: foreign for libopenvlbi-doc
  * debian/control: add Multi-Arch: same for libopendsp-dev
  * debian/control: add dependency libopencv-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Aug 2025 19:42:34 +0200
