=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	, libpng-dev
 	, libjpeg-dev
  	, doxygen
-Standards-Version: 4.7.0
+        , libopencv-dev
+Standards-Version: 4.7.2
 Homepage: https://iliaplatone.github.io/OpenVLBI/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/openvlbi
@@ -65,6 +66,7 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: foreign
 Description: OpenVLBI Correlator - documentation
  OpenVLBI is an open source correlator for astronomical interferometers.
  with OpenVLBI astronomers can join together more telescopes to observe
@@ -108,6 +110,7 @@
 Package: libopendsp-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libopendsp3t64 (= ${binary:Version})
 	, ${shlibs:Depends}, ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
