=== debian/watch ===
version=4
#opts="mode=git, pgpmode=none" \
#  https://github.com/iliaplatone/OpenVLBI \
#  HEAD debian uupdate

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/openvlbi-$1\.tar\.gz/ \
  https://github.com/iliaplatone/openvlbi/tags .*/v?(\d\S+)\.tar\.gz \
	debian uupdate
